liblinphone 3.8.1

- Main Page
- Related Pages
- Modules
- Data Structures

- Data Structures
- Data Fields

Data Fields
_LinphoneCoreVTable Struct Reference
Initializing liblinphone

`#include <linphonecore.h>`

## Data Fields
LinphoneCoreGlobalStateChangedCb | global_state_changed
LinphoneCoreRegistrationStateChangedCb | registration_state_changed
LinphoneCoreCallStateChangedCb | call_state_changed
LinphoneCoreNotifyPresenceReceivedCb | notify_presence_received
LinphoneCoreNewSubscriptionRequestedCb | new_subscription_requested
LinphoneCoreAuthInfoRequestedCb | auth_info_requested
LinphoneCoreCallLogUpdatedCb | call_log_updated
LinphoneCoreMessageReceivedCb | message_received
LinphoneCoreIsComposingReceivedCb | is_composing_received
LinphoneCoreDtmfReceivedCb | dtmf_received
LinphoneCoreReferReceivedCb | refer_received
LinphoneCoreCallEncryptionChangedCb | call_encryption_changed
LinphoneCoreTransferStateChangedCb | transfer_state_changed
LinphoneCoreBuddyInfoUpdatedCb | buddy_info_updated
LinphoneCoreCallStatsUpdatedCb | call_stats_updated
LinphoneCoreInfoReceivedCb | info_received
LinphoneCoreSubscriptionStateChangedCb | subscription_state_changed
LinphoneCoreNotifyReceivedCb | notify_received
LinphoneCoreConfiguringStatusCb | configuring_status
DisplayStatusCb | display_status
DisplayMessageCb | display_message
DisplayMessageCb | display_warning
DisplayUrlCb | display_url
ShowInterfaceCb | show
LinphoneCoreTextMessageReceivedCb | text_received
LinphoneCoreFileTransferRecvCb | file_transfer_recv
LinphoneCoreFileTransferSendCb | file_transfer_send
LinphoneCoreFileTransferProgressIndicationCb | file_transfer_progress_indication
LinphoneCoreNetworkReachableCb | network_reachable
LinphoneCoreLogCollectionUploadStateChangedCb | log_collection_upload_state_changed
LinphoneCoreLogCollectionUploadProgressIndicationCb | log_collection_upload_progress_indication
void * | user_data

## Detailed Description

This structure holds all callbacks that the application should implement. None is mandatory.

## Field Documentation

LinphoneCoreGlobalStateChangedCb _LinphoneCoreVTable::global_state_changed

Notifies global state changes

LinphoneCoreRegistrationStateChangedCb _LinphoneCoreVTable::registration_state_changed

Notifies registration state changes

LinphoneCoreCallStateChangedCb _LinphoneCoreVTable::call_state_changed

Notifies call state changes

LinphoneCoreNotifyPresenceReceivedCb _LinphoneCoreVTable::notify_presence_received

Notify received presence events

LinphoneCoreNewSubscriptionRequestedCb _LinphoneCoreVTable::new_subscription_requested

Notify about pending presence subscription request

LinphoneCoreAuthInfoRequestedCb _LinphoneCoreVTable::auth_info_requested

Ask the application some authentication information

LinphoneCoreCallLogUpdatedCb _LinphoneCoreVTable::call_log_updated

Notifies that call log list has been updated

LinphoneCoreMessageReceivedCb _LinphoneCoreVTable::message_received

a message is received, can be text or external body

LinphoneCoreIsComposingReceivedCb _LinphoneCoreVTable::is_composing_received

An is-composing notification has been received

LinphoneCoreDtmfReceivedCb _LinphoneCoreVTable::dtmf_received

A dtmf has been received received

LinphoneCoreReferReceivedCb _LinphoneCoreVTable::refer_received

An out of call refer was received

LinphoneCoreCallEncryptionChangedCb _LinphoneCoreVTable::call_encryption_changed

Notifies on change in the encryption of call streams

LinphoneCoreTransferStateChangedCb _LinphoneCoreVTable::transfer_state_changed

Notifies when a transfer is in progress

LinphoneCoreBuddyInfoUpdatedCb _LinphoneCoreVTable::buddy_info_updated

a LinphoneFriend's BuddyInfo has changed

LinphoneCoreCallStatsUpdatedCb _LinphoneCoreVTable::call_stats_updated

Notifies on refreshing of call's statistics.

LinphoneCoreInfoReceivedCb _LinphoneCoreVTable::info_received

Notifies an incoming informational message received.

LinphoneCoreSubscriptionStateChangedCb _LinphoneCoreVTable::subscription_state_changed

Notifies subscription state change

LinphoneCoreNotifyReceivedCb _LinphoneCoreVTable::notify_received

Notifies a an event notification, see linphone_core_subscribe()

LinphoneCoreConfiguringStatusCb _LinphoneCoreVTable::configuring_status

Notifies publish state change (only from LinphoneEvent api)

DisplayStatusCb _LinphoneCoreVTable::display_status

Notifies configuring status changes

Deprecated:
  Callback that notifies various events with human readable text.

DisplayMessageCb _LinphoneCoreVTable::display_message

Deprecated:
  Callback to display a message to the user

DisplayMessageCb _LinphoneCoreVTable::display_warning

Deprecated:
  Callback to display a warning to the user

DisplayUrlCb _LinphoneCoreVTable::display_url

Deprecated:

ShowInterfaceCb _LinphoneCoreVTable::show

Deprecated:
  Notifies the application that it should show up

LinphoneCoreTextMessageReceivedCb _LinphoneCoreVTable::text_received

Deprecated:
  , use message_received instead
  A text message has been received

LinphoneCoreFileTransferRecvCb _LinphoneCoreVTable::file_transfer_recv

Deprecated:
  Callback to store file received attached to a LinphoneChatMessage

LinphoneCoreFileTransferSendCb _LinphoneCoreVTable::file_transfer_send

Deprecated:
  Callback to collect file chunk to be sent for a LinphoneChatMessage

LinphoneCoreFileTransferProgressIndicationCb _LinphoneCoreVTable::file_transfer_progress_indication

Deprecated:
  Callback to indicate file transfer progress

LinphoneCoreNetworkReachableCb _LinphoneCoreVTable::network_reachable

Callback to report IP network status (I.E up/down )

LinphoneCoreLogCollectionUploadStateChangedCb _LinphoneCoreVTable::log_collection_upload_state_changed

Callback to upload collected logs

LinphoneCoreLogCollectionUploadProgressIndicationCb _LinphoneCoreVTable::log_collection_upload_progress_indication

Callback to indicate log collection upload progress

void* _LinphoneCoreVTable::user_data

User data associated with the above callbacks

The documentation for this struct was generated from the following file:

- linphonecore.h